import type { NextPage } from "next";
import dynamic from "next/dynamic";
import { Page } from "../../components";
import { useExpressionSets } from "../../hooks";
import { ErrorView, ExpressionSetListView } from "../../views";

const PageTitle = "Flash Card App - Sets";

const ExpressionSetListPage: NextPage = () => {
  const expression_sets = useExpressionSets();
  if (!expression_sets) return null;
  if (!expression_sets.length) {
    return <ErrorView title={PageTitle} message="No expression sets found" />;
  }

  return (
    <Page title={PageTitle}>
      <ExpressionSetListView expression_sets={expression_sets} />
    </Page>
  );
};

export default dynamic(() => Promise.resolve(ExpressionSetListPage), {
  ssr: false,
});
