import { useMemo } from "react";
import { useExpressionCategories } from "../../hooks";
import { IndexedExpression } from "../../model";
import { sample } from "../../util";
import { ExpressionPracticeCardView } from "./ExpressionPracticeCardView";

export interface ExpressionPracticeViewProps {
  select_from_expressions: IndexedExpression[];
}

export function ExpressionPracticeView({
  select_from_expressions: expressions,
}: ExpressionPracticeViewProps) {
  const expression = useMemo(() => sample(expressions), [expressions]);
  const categories = useExpressionCategories(expression.id!);
  if (!categories) return null;

  // Delegate internal interaction state to next component so it resets
  // on an expression switch
  return (
    <ExpressionPracticeCardView
      key={expression.id}
      expression={expression}
      categories={categories}
    />
  );
}
