import { useCallback } from "react";
import { useExpressionSetQueryId } from "../../hooks";
import { assignExpressionToSet } from "../../model";

// TODO fix promotion algorithm so it uses a destination expression_set_id

export interface PromoteExpressionButtonProps {
  expression_id: number;
}

export function PromoteExpressionButton({
  expression_id,
}: PromoteExpressionButtonProps) {
  const expression_set_id = useExpressionSetQueryId();
  const handleClick = useCallback(() => {
    assignExpressionToSet({
      expression_id,
      expression_set_id: expression_set_id + 1,
    });
  }, [expression_id, expression_set_id]);

  return (
    <button
      className="navigation-item bottom text-navigation grow"
      onClick={handleClick}
    >
      <span>Right</span>
    </button>
  );
}
