import Link from "next/link";
import { ExpressionSetCard } from "../../components";
import { useExpressionsInSet } from "../../hooks";
import { IndexedExpressionSet } from "../../model";

export function ExpressionSetLink({
  id,
  description,
  name,
}: IndexedExpressionSet) {
  const expressions = useExpressionsInSet(id!) || [];

  return (
    <Link
      href={{
        pathname: "/expression-sets/details",
        query: { "set-id": id },
      }}
      passHref
    >
      <a>
        <ExpressionSetCard
          name={name}
          description={description}
          expression_count={expressions.length}
        />
      </a>
    </Link>
  );
}
