import { IndexedExpressionSet } from "../../model";
import { ExpressionSetLink } from "./ExpressionSetLink";

export interface ExpressionSetListViewProps {
  expression_sets: IndexedExpressionSet[];
}

export function ExpressionSetListView({
  expression_sets,
}: ExpressionSetListViewProps) {
  return (
    <div className="page-with-padding content-list scroll">
      {expression_sets.map(({ id, name, description }) => (
        <ExpressionSetLink
          key={id}
          id={id}
          name={name}
          description={description}
        />
      ))}
    </div>
  );
}
